Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-80284

Test failure: An API incompatibility was encountered while executing biz.aQute.bnd:bnd-maven-plugin

    Details

    • Type: Task
    • Status: Closed
    • Priority: Minor
    • Resolution: Completed
    • Affects Version/s: None
    • Fix Version/s: Master
    • Component/s: Dev Tools
    • Labels:
      None
    • Priority Level:
      Low

      Description

      CI is currently experiencing failures like this:

      [exec] [INFO] ------------------------------------------------------------------------
      [exec] [INFO] BUILD FAILURE
      [exec] [INFO] ------------------------------------------------------------------------
      [exec] [INFO] Total time: 59.677 s
      [exec] [INFO] Finished at: 2018-04-27T18:30:28Z
      [exec] [INFO] Final Memory: 25M/206M
      [exec] [INFO] ------------------------------------------------------------------------
      [exec] [ERROR] Failed to execute goal biz.aQute.bnd:bnd-maven-plugin:3.3.0:bnd-process (default) on project foo: Execution default of goal biz.aQute.bnd:bnd-maven-plugin:3.3.0:bnd-process failed: An API incompatibility was encountered while executing biz.aQute.bnd:bnd-maven-plugin:3.3.0:bnd-process: java.lang.NoSuchMethodError: aQute.lib.io.IO.copy(Ljava/io/InputStream;Ljava/io/OutputStream;)V
      [exec] [ERROR] -----------------------------------------------------
      [exec] [ERROR] realm = plugin>biz.aQute.bnd:bnd-maven-plugin:3.3.0
      [exec] [ERROR] strategy = org.codehaus.plexus.classworlds.strategy.SelfFirstStrategy
      [exec] [ERROR] urls[0] = file:/opt/dev/projects/github/liferay-portal/.m2/biz/aQute/bnd/bnd-maven-plugin/3.3.0/bnd-maven-plugin-3.3.0.jar
      [exec] [ERROR] urls[1] = file:/opt/dev/projects/github/liferay-portal/.m2/biz/aQute/bnd/biz.aQute.bndlib/3.5.0/biz.aQute.bndlib-3.5.0.jar
      [exec] [ERROR] urls[2] = file:/opt/dev/projects/github/liferay-portal/.m2/com/liferay/com.liferay.ant.bnd/2.0.50/com.liferay.ant.bnd-2.0.50.jar
      [exec] [ERROR] urls[3] = file:/opt/dev/projects/github/liferay-portal/.m2/biz/aQute/bnd/biz.aQute.bnd/3.5.0/biz.aQute.bnd-3.5.0.jar
      [exec] [ERROR] urls[4] = file:/opt/dev/projects/github/liferay-portal/.m2/org/sonatype/plexus/plexus-build-api/0.0.7/plexus-build-api-0.0.7.jar
      [exec] [ERROR] urls[5] = file:/opt/dev/projects/github/liferay-portal/.m2/org/codehaus/plexus/plexus-utils/1.5.8/plexus-utils-1.5.8.jar
      [exec] [ERROR] Number of foreign imports: 1
      [exec] [ERROR] import: Entry[import from realm ClassRealm[maven.api, parent: null]]
      [exec] [ERROR]
      [exec] [ERROR] -----------------------------------------------------
      [exec] [ERROR]
      [exec] [ERROR] -> [Help 1]
      [exec] org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal biz.aQute.bnd:bnd-maven-plugin:3.3.0:bnd-process (default) on project foo: Execution default of goal biz.aQute.bnd:bnd-maven-plugin:3.3.0:bnd-process failed: An API incompatibility was encountered while executing biz.aQute.bnd:bnd-maven-plugin:3.3.0:bnd-process: java.lang.NoSuchMethodError: aQute.lib.io.IO.copy(Ljava/io/InputStream;Ljava/io/OutputStream;)V
      [exec] -----------------------------------------------------

       

      The problem appears to be a difference in dependencies between bnd 3.3.0 and bnd 3.5.0, and the fix is to bump the bnd version to 3.5.0 where it is currently 3.3.0

        Attachments

          Activity

            People

            Assignee:
            support-lep@liferay.com SE Support
            Reporter:
            christopher.boyd Christopher Boyd (Inactive)
            Recent user:
            Lester Pi (Inactive)
            Participants of an Issue:
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Packages

                Version Package
                Master